Name:           gsynaptics
Version:        0.9.8
Release:        2%{?dist}
Summary:        Settings tool for Synaptics touchpad driver

Group:          Applications/System
License:        GPL
URL:            http://gsynaptics.sourceforge.jp/
Source0:        http://dl.sourceforge.jp/gsynaptics/15836/gsynaptics-0.9.8.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-XML-Parser
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils gettext

Requires:	synaptics

%description
A GTK+ tool to set scroll and tap preferences for the Synaptics touchpad
driver.

%prep
%setup -q
cp data/gsynaptics-init.desktop.in.in data/gsynaptics-init.desktop.in.in.org
grep -v -e "^Categories=$" data/gsynaptics-init.desktop.in.in.org > data/gsynaptics-init.desktop.in.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gsynaptics.desktop

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}//gnome/autostart/    \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gsynaptics-init.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/touchpad.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/gnome/autostart/*%{name}*.desktop
%{_mandir}/man1/gsynaptics*


%changelog
* Mon Aug 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.8-2
- Rebuild

* Sat Jul 08 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.8-1
- Add BuildRequires: perl-XML-Parser (fixes #197955)
- update to 0.9.8

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.5-2
- Rebuild for Fedora Extras 5

* Sun Nov 13 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.5-1
- Update to 0.9.5

* Sat Oct 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-3
- Use dist

* Tue Oct 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-2
- Improved Summary and description as suggested by ignacio

* Mon Oct 03 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-1
- Initial package.
